# frozen_string_literal: true

require 'bitmap_compiler/cli'
require 'bitmap_compiler/version'

require 'bitmap_compiler/core/bitmap'
require 'bitmap_compiler/core/bitmap_actions'
require 'bitmap_compiler/core/bitmap_controller'
require 'bitmap_compiler/core/errors/bitmap_error'
require 'bitmap_compiler/core/errors/image_not_cleared_error'
require 'bitmap_compiler/core/errors/incorrect_file_error'
require 'bitmap_compiler/core/errors/invalid_coordinates_error'
require 'bitmap_compiler/core/errors/invalid_dimensions_error'
require 'bitmap_compiler/core/errors/invalid_pixel_error'
require 'bitmap_compiler/core/errors/no_image_found_error'
require 'bitmap_compiler/core/errors/unknown_command_error'
require 'bitmap_compiler/core/editor'
require 'bitmap_compiler/core/output'

# BitmapCompiler global module
module BitmapCompiler; end
