# frozen_string_literal: true

require 'thor'

# Responsibility: handle the command line interface
module BitmapCompiler
  class CLI < Thor
    desc 'process_file BITMAP', 'Bitmap compiler via CLI'

    option :file, type: :string, aliases: [:f]

    # CLI method to call the Editor
    def process_file
      editor.run(options[:file])
    rescue StandardError => e
      warn "ERROR: #{e.message}"
      exit 1
    end

    private

    def editor
      @editor ||= BitmapCompiler::Core::Editor.new
    end
  end
end
